### Method

# Pango.Layout.copy

#### Declaration [src]

    PangoLayout*
    pango_layout_copy (
      PangoLayout* src
    )

#### Description [src]

Creates a deep copy-by-value of the layout.

The attribute list, tab array, and text from the original layout are all copied by value.

#### Return value

Returns: `PangoLayout`
the newly allocated `PangoLayout`, with a reference count of one, which should be freed with `g_object_unref()`.
Ownership of the data is transferred to the caller